@import url('https://fonts.googleapis.com/css2?family=Raleway:wght@400;500&family=Roboto&display=swap');

/* set wildcard selector to control box-model position of design elements */
* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}

body {
    background-color: #f7f1ed;
    font-family: Raleway, sans-serif;
    font-size: 130%;
    color: #412A20;
}

/* headings and logo*/
h1,
h2 {
    font-family: Roboto, sans-serif;
    text-transform: uppercase;
    text-align: center;
    margin-top: 10px;
    margin-bottom: 10px;
}

h2 a {
    text-decoration: none;
    color: inherit;
    font-size: 120%;
}

h2 a:hover {
    text-decoration: none;
    font-weight: 900;
    font-size: 150%;
    color: #6d5043;
    margin-top: 10%;
}

hr {
    margin: auto;
    width: 80%;
    margin-top: 20px;
    margin-bottom: 20px;
}

#logo {
    float: left;
    font-size: 200%;
    color: #412A20;
    margin-left: .5%;
}

#nav-links {
    float: right;
    font-size: 110%;
    letter-spacing: 2px;
    display: flex;
}

#nav-links,
#logo {
    line-height: 80px;
}

#nav-links li {
    list-style-type: none;
    margin-right: 40px;
}

#nav-links a {
    text-decoration: none;
    color: inherit;
}

#nav-links a:hover {
    border-bottom: 1px solid #412A20;
    font-weight: 600;
}

.active {
    font-weight: 500;
    border-bottom: 1px solid #412A20;
}

/* rsvp section - ring image & button to direct to RSVP page to complet form*/

#ring-container {
    height: 600px;
    width: 100%;
    overflow: hidden;
}

#ring-image {
    height: 600px;
    background-image: url('../images/engagement-ring-white-bg.jpg');
    background-position: center;
    background-size: cover;
    /* Animation of zoom effect - referenced Love Running CI Project and amended to site's needs. */
    animation-name: ring-zoom;
    animation-duration: 3s;
    animation-fill-mode: forwards;
}

/* Creates zoom effect on main hero ring image */
@keyframes ring-zoom {
    from {
        transform: scale(.95);
    }

    to {
        transform: scale(1.025);
    }
}

#ring-image a {
    text-decoration: none;
}

#ring-image h2 {
    text-align: center;
    text-transform: uppercase;
}

#form-btn {
    background-color: transparent;
}

#rsvp-btn {
    margin: auto;
    display: flex;
    justify-content: center;
    align-items: center;
    padding: .75rem 1.2rem;
    background-color: #412A20;
    color: #f7f1ed;
    border-radius: 5px;
    font-size: 110%;
    cursor: pointer;
}

#rsvp-btn:hover {
    background-color: #6d5043;
    color: #f7f1ed;
    font-size: larger;
}

/* our story section on index.html landing page styling taken from and tweaked to suit site needs 
(https://codepen.io/dcode-software/pen/JjjpzLE)*/


.story-container {
    margin: 0 auto;
    margin-top: -1%;
    max-width: 700px;
    display: grid;
    grid-template-columns: repeat(auto-fill, minmax(280px, 1fr));
    grid-auto-rows: auto;
    gap: 40px;
    padding: 2%;
}

.story-image {
    width: 100%;
    height: 360px;
    object-fit: cover;
    display: block;
}

.story-text {
    padding: 15px;
    background: #ddd6d2;
    text-align: center;
}

.story-text a {
    text-decoration: none;
    color: inherit;
    font-weight: bolder;
    font-style: italic;
}

.story-text a:hover {
    text-decoration: underline;
}

/* timeline sshedule of events on index.html */

#schedule {
    width: 80%;
    margin: auto;
    overflow: hidden;
}

#schedule div {
    color: #412A20;
    background-color: #ddd6d2;
    width: 33%;
    height: 320px;
    float: left;
    padding: 30px 0 0 10px;
    text-align: center;
    border: 4px solid #f7f1ed;
    box-sizing: border-box;
    border-radius: 8px;
}

#schedule h4 {
    margin-top: 8px;
}

#schedule i {
    color: #412A20;
    font-size: 500%;
    margin-top: 5%;
}

/* form on rsvp.html */
#form-container {
    width: 100%;
    overflow: hidden;
}

form {
    width: 60%;
    padding: 25px;
    border-radius: 8px;
    margin: auto;
    background-color: #ddd6d2;
}

form p {
    margin-top: 20px;
    text-align: justify;
}

form hr {
    margin-top: 20px;
}

fieldset {
    border: none;
    margin-top: 25px;
}

legend {
    font-size: 120%;
    font-weight: 600;
    text-transform: uppercase;
    margin: 80px 0 10px 0;
}

input[type=text],
input[type=email] {
    height: 30px;
    width: 60%;
    padding-left: 10px;
    margin: 0 auto;
}

input[type=submit] {
    margin-top: 50px;
    float: right;
    padding: 1.25rem;
    background-color: #412A20;
    color: #f7f1ed;
    border: 2px;
    border-radius: 5px;
    font-size: 110%;
    text-transform: uppercase;
}

input[type=submit]:hover {
    background-color: #6d5043;
    color: #f7f1ed;
    font-size: larger;
}

label {
    margin: 10px 15px 5px 0;
}

select {
    height: 30px;
    width: 100px;
    padding-left: 10px;
}

#message {
    width: 90%;
    margin-top: 10px;
    height: 180px;
    padding: 12px 20px;
    box-sizing: border-box;
    border: 2px solid #ccc;
    border-radius: 4px;
    font-size: 16px;
    resize: none;
}

/* rsvp-response simple thank you response*/

#thank-you {
    width: 80%;
    overflow: hidden;
    text-align: center;
    font-size: 200%;
    margin: auto;
    margin-bottom: 10%;
}

/* styling for pages with less content to force footer to bottom of page  eg. rsvp-response.html 
thank you page and 404.html error page. Styling helps push the footer down to the bottom otherwise 
it sits right under content with a lot of dead space below the footer. 
Credit Dominik Weber](https://dev.to/domysee) for code*/

html,
body {
    width: 100%;
    height: 100%;
}

.body {
    min-height: 100%;
    display: flex;
    flex-direction: column;
    align-items: stretch;
}

main {
    flex-grow: 1;
}

header,
main,
footer {
    flex-shrink: 0;
}


/* footer styling for all pages*/

footer {
    height: 20px;
}

.social-memories {
    width: 80%;
    margin: auto;
    margin-top: 1%;
    font-family: Raleway;
    padding: 2%;
    background-color: #3d2921;
    line-height: 1.6em;
    color: #faf9f9;
    text-align: center;
    border-radius: 8px;
}

.social-memories p {
    margin-top: 15px;
}

.social-memories strong {
    color: #F2BAD4;
    font-size: 120%;
    font-weight: bolder;
    letter-spacing: 1px;
}

.social-links {
    text-align: center;
}

.social-links>li {
    display: inline;
}

.social-links i {
    font-size: 200%;
    margin: 2%;
    padding: 1%;
    color: #412A20;
}

/* Contact Us section in response-rsvp.html, details.html & error404.html */

.contact {
    text-align: center;
}

.contact>li {
    display: inline;
}

.contact i {
    font-size: 200%;
    margin: 2%;
    padding: 1%;
    color: #412A20;
}

/* about us section, how we met and engagement story in story.html */
.flex-container {
    display: flex;
    flex-wrap: nowrap;
    background-color: #f7f1ed;
    width: 80%;
    margin: auto;
    column-gap: 2%;
}

.flex-responsive {
    display: flex;
    flex-direction: row;
    column-gap: 2%;
}

.items {
    background-color: #ddd6d2;
    width: fit-content;
    margin: 10px;
    text-align: center;
    justify-content: center;
    align-items: center;
    margin: auto;
}

.items img {
    height: fit-content;
    width: 100%;
}

.items p {
    padding: 2%;

}

/* how we met section in story.html */

#video-container {
    width: 90%;
    height: 500px;
    margin: auto;
    border-radius: 8px;
}

#engage-video {
    height: 500px;
    width: 100%;
    margin-bottom: 10px;
}

.how-we-met {
    margin: auto;
    width: 80%;
}

.meet-image {
    text-align: center;

}

.meet-video {
    text-align: center;
}

.how-we-met img {
    height: 100%;
    width: 100%;
    margin-bottom: 10px;
    object-fit: cover;
}

/* Details.html styling */

.details-intro p {
    margin: auto;
    width: 80%;
    margin-bottom: 1.5%;
}

#map-outer {
    width: 80%;
    height: 400px;
    margin: auto;
}

#map {
    height: 100%;
    width: 100%;
    margin: auto;
    border-color: #6d5043;
    border-radius: 8px;
}

.accom-list {
    background-color: #412A20;
    text-align: center;
    list-style-type: none;
    border-radius: 8px;
    width: 80%;
    margin: auto;
    color: #faf9f9;
    margin-top: 10px;
    margin-bottom: 20px;
    line-height: 150%;
}

.accom-list a {
    color: #faf9f9;
    text-decoration: none;
}

.accom-list a:hover {
    font-weight: bolder;
}

.question {
    font-weight: bold;
}

/* error404 */

#error404 {
    width: 80%;
    overflow: hidden;
    text-align: center;
    font-size: 160%;
    margin: auto;
}

/* media query to enable responsivity*/

@media screen and (max-width: 1024px) {

    nav {
        height: 100px;
        background-color: #f7f1ed;
    }

    /* make navbar stick to top visible in tablet and mobile devices */

    .sticky {
        position: sticky;
        top: 0;
    }

    #nav-links li {
        list-style-type: none;
        margin-right: 15px;
    }

    #schedule>div {
        width: 100%;
        clear: both;
        height: 200px;
        padding: 0;
    }

    #schedule i {
        font-size: 200%;
        margin-top: 2%;
    }

    form {
        width: 80%;
        padding: 15px;
        margin: auto;
    }

    .flex-container {
        flex-direction: column;
        width: 95%;
    }

    .items {
        font-size: 100%;
    }

    .items p {
        text-align: justify;
        margin: 5%;
    }
}

@media only screen and (max-width: 765px) {
    nav {
        height: 120px;
        background-color: #f7f1ed;
    }

    #nav-links {
        float: left;
        margin-left: 10px;
        font-size: 100%;
    }

    #nav-links,
    #logo {
        line-height: 50px;
    }

    #nav-links li {
        list-style-type: none;
        margin-right: 15px;
        font-size: smaller;
    }

    #ring-container {
        height: 300px;
    }

    #ring-image {
        height: 300px;
    }

    .flex-responsive {
        flex-direction: column;
    }

    .items img {
        height: fit-content;
    }

    .story-image {
        height: 600px;
    }

    .social-memories {
        width: 90%;
    }

    form {
        width: 95%;
        padding: 5px;
        margin: auto;
    }

    input[type=submit] {
        margin-top: 10px;
        background-color: #6d5043;
        color: #f7f1ed;

    }

    input[type=submit]:hover {
        background-color: #F2BAD4;
        color: #412A20;
    }

    .contact i {
        font-size: 120%;
        margin: 1%;
        padding: 0%;
    }

    .column {
        width: 100%;
    }

    .about-image {
        height: 50%;
    }

}

@media only screen and (max-width: 320px) {

    nav {
        height: 90px;
        background-color: #f7f1ed;
    }

    #nav-links {
        margin: auto;
    }

    #logo {
        margin-left: 5px;
    }

    #nav-links,
    #logo {
        line-height: 30px;
        font-size: 110%;
        letter-spacing: 1px;
    }

    #nav-links li {
        list-style-type: none;
        margin-right: 10px;
        font-size: 75%;
    }

    .social-memories strong {
        font-size: 110%;
        letter-spacing: 0px;
    }
}

@media only screen and (min-width: 1800px) {

    body {
        font-size: 250%;
        margin-top: 20px
    }

    #nav-links {
        font-size: 150%;
    }
    
    #logo {
        font-size: 280%;
    }

    hr {
        margin-top: 70px;
        margin-bottom: 70px;
    }

    #ring-container {
        height: 900px;
        width: 100%;
    }

    #ring-image {
        height: 900px;
    }

    .story-image {
        height: 900px;
    }

    .story-container {
        max-height: 900px;
        max-width: 50%;
        display: flex;
        gap: 40px;
    }
    
    .story-image {
        width: 100%;
        height: 500px;
    }

    .how-we-met img {
        height: 900px;
    }

    input[type=text], input[type=email] {
        height: 70px;
    }

    select {
        height: 80px;
        width: 280px;
    }

    #video-container {
        height: 900px;
    }
    
    #engage-video {
        height: 900px;
    }
    #schedule div {
        height: 520px;
    }
    #map-outer {
        height: 700px;
        margin-bottom: 50px;
    }

}